use anyhow::Context;

test_cases! {
    char::escaped: {
        case_00: "%00",
        case_02: "%02",
        case_04: "%04",
        case_0b_upper: "%0B",
        case_0e_upper: "%0E",
        case_0f_upper: "%0F",
        case_14: "%14",
        case_15: "%15",
        case_1c: "%1c",
        case_1d: "%1d",
        case_1d_upper: "%1D",
        case_20: "%20",
        case_28: "%28",
        case_29: "%29",
        case_2c_upper: "%2C",
        case_2e: "%2e",
        case_31: "%31",
        case_34: "%34",
        case_47: "%47",
        case_48: "%48",
        case_4d: "%4d",
        case_4e_upper: "%4E",
        case_4f: "%4f",
        case_50: "%50",
        case_57: "%57",
        case_5a: "%5a",
        case_5c: "%5c",
        case_5c_upper: "%5C",
        case_5d_upper: "%5D",
        case_5f: "%5f",
        case_5f_upper: "%5F",
        case_65: "%65",
        case_69: "%69",
        case_6b_upper: "%6B",
        case_6c: "%6c",
        case_6e: "%6e",
        case_72: "%72",
        case_7a: "%7a",
        case_7a_upper: "%7A",
        case_7c: "%7c",
        case_7c_upper: "%7C",
        case_7e: "%7e",
        case_86: "%86",
        case_88: "%88",
        case_8c: "%8c",
        case_8d: "%8d",
        case_91: "%91",
        case_96: "%96",
        case_9a: "%9a",
        case_a0_upper: "%A0",
        case_a2_upper: "%A2",
        case_a4: "%a4",
        case_a5: "%a5",
        case_ab_lower_upper: "%aB",
        case_ad_lower_upper: "%aD",
        case_b2: "%b2",
        case_b4_upper: "%B4",
        case_b9: "%b9",
        case_b9_upper: "%B9",
        case_ba_lower_upper: "%bA",
        case_bb_lower_upper: "%bB",
        case_bb_upper_upper: "%BB",
        case_bc_lower_upper: "%bC",
        case_be: "%be",
        case_be_upper_upper: "%BE",
        case_bf_upper_upper: "%BF",
        case_c5: "%c5",
        case_ca: "%ca",
        case_cb_upper_lower: "%Cb",
        case_cd_lower_upper: "%cD",
        case_cd_upper_lower: "%Cd",
        case_d4_upper: "%D4",
        case_d5_upper: "%D5",
        case_d8_upper: "%D8",
        case_d9: "%d9",
        case_dc: "%dc",
        case_df_upper_lower: "%Df",
        case_e4: "%e4",
        case_e7: "%e7",
        case_ea_upper_lower: "%Ea",
        case_ec_upper_lower: "%Ec",
        case_ef_upper_lower: "%Ef",
        case_ef_upper_upper: "%EF",
        case_f1_upper: "%F1",
        case_fa_upper_lower: "%Fa",
        case_fd_upper_upper: "%FD",
        case_fe: "%fe",
        case_ff_upper_lower: "%Ff"
    }
}
