use anyhow::Context;

test_cases! {
    char::i_private: {
        case_00e0ea: "",
        case_00e130: "",
        case_00e141: "",
        case_00e176: "",
        case_00e2bd: "",
        case_00e409: "",
        case_00e4c1: "",
        case_00e5ac: "",
        case_00e8f6: "",
        case_00e9a0: "",
        case_00e9f5: "",
        case_00eb1a: "",
        case_00ebf8: "",
        case_00ec6f: "",
        case_00ecb2: "",
        case_00ed82: "",
        case_00ee8c: "",
        case_00eedb: "",
        case_00f03a: "",
        case_00f057: "",
        case_00f076: "",
        case_00f0ad: "",
        case_00f142: "",
        case_00f16d: "",
        case_00f324: "",
        case_00f376: "",
        case_00f380: "",
        case_00f38e: "",
        case_00f41f: "",
        case_00f424: "",
        case_00f4e6: "",
        case_00f585: "",
        case_00f598: "",
        case_00f5fb: "",
        case_00f60d: "",
        case_00f64e: "",
        case_00f77d: "",
        case_00f7c7: "",
        case_00f830: "",
        case_00f864: "",
        case_0f01d1: "󰇑",
        case_0f01ee: "󰇮",
        case_0f09b9: "󰦹",
        case_0f0b56: "󰭖",
        case_0f0c8c: "󰲌",
        case_0f1f09: "󱼉",
        case_0f3120: "󳄠",
        case_0f34f9: "󳓹",
        case_0f395e: "󳥞",
        case_0f4c8a: "󴲊",
        case_0f513b: "󵄻",
        case_0f6a5e: "󶩞",
        case_0f6b88: "󶮈",
        case_0f6ee6: "󶻦",
        case_0f7798: "󷞘",
        case_0f8208: "󸈈",
        case_0f896f: "󸥯",
        case_0f8c7c: "󸱼",
        case_0f967a: "󹙺",
        case_0fa464: "󺑤",
        case_0fa89e: "󺢞",
        case_0fa9b7: "󺦷",
        case_0fc02a: "󼀪",
        case_0fd50e: "󽔎",
        case_0fd5e4: "󽗤",
        case_0fe230: "󾈰",
        case_0fe5e7: "󾗧",
        case_0feacb: "󾫋",
        case_0fedde: "󾷞",
        case_0fff3d: "󿼽",
        case_1002fb: "􀋻",
        case_100560: "􀕠",
        case_100c13: "􀰓",
        case_101b98: "􁮘",
        case_10248e: "􂒎",
        case_10294b: "􂥋",
        case_102ee4: "􂻤",
        case_103f16: "􃼖",
        case_104435: "􄐵",
        case_1048d3: "􄣓",
        case_104eb1: "􄺱",
        case_1072ef: "􇋯",
        case_1078c2: "􇣂",
        case_108120: "􈄠",
        case_108483: "􈒃",
        case_108fc4: "􈿄",
        case_108fff: "􈿿",
        case_1099e9: "􉧩",
        case_109d9d: "􉶝",
        case_10b2a4: "􋊤",
        case_10b630: "􋘰",
        case_10b8d3: "􋣓",
        case_10bd71: "􋵱",
        case_10cc25: "􌰥",
        case_10d42e: "􍐮",
        case_10de13: "􍸓",
        case_10ee9d: "􎺝",
        case_10f301: "􏌁",
        case_10f75c: "􏝜",
        case_10fb9b: "􏮛"
    }
}
