use anyhow::Context;

test_cases! {
    component::expression: {
        case_address: "{address}",
        case_base: "{base}",
        case_count: "{count}",
        case_dom: "{dom}",
        case_dub: "{dub}",
        case_email: "{email_address}",
        case_empty: "{empty}",
        case_empty_keys: "{empty_keys}",
        case_half: "{half}",
        case_hash_address: "{#address}",
        case_hash_base: "{#base}",
        case_hash_count: "{#count}",
        case_hash_dom: "{#dom}",
        case_hash_dub: "{#dub}",
        case_hash_email: "{#email_address}",
        case_hash_empty: "{#empty}",
        case_hash_empty_keys: "{#empty_keys}",
        case_hash_half: "{#half}",
        case_hash_hello: "{#hello}",
        case_hash_keys: "{#keys}",
        case_hash_lang: "{#lang}",
        case_hash_list: "{#list}",
        case_hash_name: "{#name.first}",
        case_hash_number: "{#number}",
        case_hash_path: "{#path}",
        case_hash_q: "{#q}",
        case_hash_query: "{#query}",
        case_hash_semi: "{#semi}",
        case_hash_source: "{#source%E2%87%92destination}",
        case_hash_term: "{#term}",
        case_hash_undef: "{#undef}",
        case_hash_username: "{#username}",
        case_hash_v: "{#v}",
        case_hash_var: "{#var}",
        case_hash_who: "{#who}",
        case_hash_x: "{#x}",
        case_hash_y: "{#y}",
        case_hash_year: "{#year}",
        case_hello: "{hello}",
        case_keys: "{keys}",
        case_lang: "{lang}",
        case_list: "{list}",
        case_name: "{name.first}",
        case_number: "{number}",
        case_path: "{path}",
        case_plus_address: "{+address}",
        case_plus_base: "{+base}",
        case_plus_count: "{+count}",
        case_plus_dom: "{+dom}",
        case_plus_dub: "{+dub}",
        case_plus_email: "{+email_address}",
        case_plus_empty: "{+empty}",
        case_plus_empty_keys: "{+empty_keys}",
        case_plus_half: "{+half}",
        case_plus_hello: "{+hello}",
        case_plus_keys: "{+keys}",
        case_plus_lang: "{+lang}",
        case_plus_list: "{+list}",
        case_plus_name: "{+name.first}",
        case_plus_number: "{+number}",
        case_plus_path: "{+path}",
        case_plus_q: "{+q}",
        case_plus_query: "{+query}",
        case_plus_semi: "{+semi}",
        case_plus_source: "{+source%E2%87%92destination}",
        case_plus_term: "{+term}",
        case_plus_undef: "{+undef}",
        case_plus_username: "{+username}",
        case_plus_v: "{+v}",
        case_plus_var: "{+var}",
        case_plus_who: "{+who}",
        case_plus_x: "{+x}",
        case_plus_y: "{+y}",
        case_plus_year: "{+year}",
        case_q: "{q}",
        case_query: "{query}",
        case_semi: "{semi}",
        case_source: "{source%E2%87%92destination}",
        case_term: "{term}",
        case_undef: "{undef}",
        case_username: "{username}",
        case_v: "{v}",
        case_var: "{var}",
        case_who: "{who}",
        case_x: "{x}",
        case_y: "{y}",
        case_year: "{year}"
    }
}
